## python-numpy 1.6.1

=== debian/changelog ===
python-numpy (1:1.6.1-6ubuntu1) precise; urgency=low

  * Merge from Debian unstable, adds python3 package (LP: #795605, #959588)
    Remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2
      add bin/f2py* to .install files
    - keep Replaces: python-numpy (<< 1:1.3.0-4) in python-numpy-dbg
      for lucid upgrades
    - debian/patches/search-multiarch-paths.patch: (LP: #818867)
       add multiarch libdirs to numpy.distutils.system_info

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 19 Mar 2012 19:38:13 +0100

python-numpy (1:1.6.1-6) experimental; urgency=low

  [ Thomas Kluyver ]
  * Add package for Python 3; Closes: #601593

  [ Sandro Tosi ]
  * Small fixes for python3 packaging
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)
    - remove quild from b-d, not needed since using 3.0 (quilt) format

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Mar 2012 13:05:04 +0100

python-numpy (1:1.6.1-5ubuntu2) precise; urgency=low

  * update search-multiarch-paths.patch (LP: #956901)
    use gcc -print-multiarch to detect the path and recommend gcc

 -- Julian Taylor <jtaylor@ubuntu.com>  Mon, 19 Mar 2012 07:50:30 +0100

python-numpy (1:1.6.1-5ubuntu1) precise; urgency=low

  * debian/patches/search-multiarch-paths.patch: (LP: #818867)
    - add multiarch libdirs to numpy.distutils.system_info
  * Merge from Debian unstable, remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2
      add bin/f2py* to .install files
    - keep Replaces: python-numpy (<< 1:1.3.0-4) in python-numpy-dbg
      for lucid upgrades

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 11 Feb 2012 12:55:21 +0100

python-numpy (1:1.6.1-5) experimental; urgency=low

  * debian/versions
    - bump also api-min-version; thanks to Jakub Wilk for noticing it.

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Feb 2012 22:34:35 +0100

python-numpy (1:1.6.1-4) experimental; urgency=low

  [ Yaroslav Halchenko ]
  * debian/rules
    - Check for nocheck instead of notest (policy 4.9.1)

  [ Sandro Tosi ]
  * Release fix for #643873 in experimental too, bumping API version to 6

 -- Sandro Tosi <morph@debian.org>  Thu, 09 Feb 2012 21:44:17 +0100

python-numpy (1:1.6.1-3) experimental; urgency=low

  * debian/{control, rules}
    - run tests at package build time; Closes: #601592

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Sep 2011 23:18:03 +0200

python-numpy (1:1.6.1-2) experimental; urgency=low

  * debian/python.org_objects.inv
    - updated
  * debian/source/include-binaries
    - python.org_objects.inv is now binary so it needs whitelisting
  * debian/rules
    - call dh_sphinxdoc only for binary-indep packages, fixing a FTBFS on all
      the buildbots

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Sep 2011 11:50:35 +0200

python-numpy (1:1.6.1-1) experimental; urgency=low

  * New upstream release; Closes: #633576
    - use DeprecationWarning instead of warning; Closes: #519483
    - fix lapack interface handling of non-native byte order: Closes: #581043
  * debian/python-numpy.docs
    - install benchmarks/ dir in the documentation
  * debian/copyright
    - updated
  * debian/rules
    - adjust pdist versions
    - install debug files where gdb will look for them
  * debian/control
    - remove Ondrej, Alexandre, Matthias, David from Uploaders: thanks for all
      the work you did!
    - bump Standards-Version to 3.9.2 (no changes needed)
    - removed DM-U-A flag, no more needed
    - removed useless fields
  * debian/{control, rules}
    - use dh_sphinxdoc
  * debian/python-numpy-doc.lintian-overrides
    - added to override extra-license-file, generated by a file needed by sphinx

 -- Sandro Tosi <morph@debian.org>  Fri, 16 Sep 2011 20:02:50 +0200

python-numpy (1:1.5.1-4) unstable; urgency=low

  [ Jakub Wilk ]
  * Enhancement to dh_numpy: now it is able to generate dependencies also on
    virtual packages matching Numpy API and ABI versions; this allows the
    packages to declare less strict relationships with python-numpy, improving
    the ability to handle Numpy newer versions transitions. A detailed
    description of the dependencies generation is available in
    README.DebianMaints file. Closes: #643873

  [ Sandro Tosi ]
  * debian/patches/20_sphinx_1.1.2.diff
    - fix a FTBFS with Sphinx 1.1.2 due to autoindex not being allowed in a
      glossary section; thanks to Jakub Wilk for the report; Closes: #655635

 -- Sandro Tosi <morph@debian.org>  Wed, 01 Feb 2012 19:09:17 +0100

python-numpy (1:1.5.1-2ubuntu3) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 17:22:00 +0000

python-numpy (1:1.5.1-2ubuntu2) oneiric; urgency=low

  * numpy/distutils/fcompiler/gnu.py: add 'shared' to linker_so. LP: #829488.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Aug 2011 23:56:45 +0200

python-numpy (1:1.5.1-2ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable, remaining changes:
    debian/patches/20_disable-plot-extension.patch
    - Disable plot_directive extension, and catch ImportErrors when
      matplotlib cannot be imported, which allows us to remove
      python-matplotlib from dependencies.  This is required because
      python-numpy is in main, while python-matplotlib is in universe.

 -- Barry Warsaw <barry@ubuntu.com>  Wed, 25 May 2011 15:52:10 -0400


