## python-numpy 1.6.2

=== debian/changelog ===
python-numpy (1:1.6.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Breaks relationships introduced in previous version. They break
    squeeze -> wheezy upgrades. (Closes: #700718)
  * Install symlinks for Python 3 headers under /usr/include/python3.2mu (resp.
    python3.2dmu) instead of /usr/include/python3.2 (resp. python3.2_d),
    to avoid file versus symlink conflict. (Closes: #700994)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 27 Feb 2013 10:33:24 +0100

python-numpy (1:1.6.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: add versioned Breaks relationship on reverse
    dependencies of python-numpy that are affected by the
    NPY_CHAR/PyArray_CHAR ABI breakage (Closes: #685812)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 08 Feb 2013 21:02:56 +0100

python-numpy (1:1.6.2-1) unstable; urgency=low

  * New upstream release
  * debian/patches/50_search-multiarch-paths.patch
    - re-introduce multi-arch paths detection, as a Debian-specific patch, until
      upstream will support a generic solution; Closes: #640940
  * debian/rules
    - fix command to move debug symbols in the right place; thanks to Dave
      Anglin for the report and patch; Closes: #672826

 -- Sandro Tosi <morph@debian.org>  Wed, 30 May 2012 19:38:39 +0200

python-numpy (1:1.6.2~rc1-1) unstable; urgency=low

  * New upstream release candidate
  * Add dh_numpy3, to generate dependencies for Python 3 packages using numpy;
    thanks to Julian Taylor for the report; Closes: #665998
  * debian/watch
    - recognize RC releases
  * debian/patches/{30_fix_unicode_mgmt_py27-32.patch,
                    50_search-multiarch-paths.patch}
    - removed, merged upstream
  * debian/rules
    - link the include directory to the right path to the header files for py3k
      numpy; thanks to Marc J. Driftmeyer for the report; Closes: #670970
    - remove leftover from build process, so the package can be built twice in a
      row; thanks to Jakub Wilk for the report; Closes: #671194
  * debian/python-numpy.links
    - correctly generate symlinks to numarray include files; thanks to Ian
      Zimmerman for the report; Closes: #631677

 -- Sandro Tosi <morph@debian.org>  Thu, 10 May 2012 20:11:16 +0200

python-numpy (1:1.6.1-8) unstable; urgency=low

  * debian/control
    - move python-matplotlib back to b-d, to fix FTBFS on some arch, effectively
      reverting fix for #655014

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Apr 2012 23:26:07 +0200

python-numpy (1:1.6.1-7) unstable; urgency=low

  [ Thorsten Glaser ]
  * debian/control
    - move python-matplotlib to Build-Depends-Indep as it’s only needed when
      building the arch:all documentation package; Closes: #655014

  [ Andreas Schwab ]
  * debian/patches/20_m68k_long_double_format.diff
    - add support for the Motorola 68k big endian long double floating-point
      representation format; Closes: #655388

  [ Sandro Tosi ]
  * Upload to unstable
  * debian/patches/30_fix_unicode_mgmt_py27-32.patch
    - fix Unicode object management with Python 2.7 and 3.2; thanks to Julian
      Taylor for the report; Closes: #664672
  * debian/patches/50_search-multiarch-paths.patch, debian/control
    - add multiarch paths to those searched by Numpy distutils, adding gcc to
      Suggests (it's not needed so often); thanks to Julian Taylor for the
      report and patch (as shipped in Ubuntu); Closes: #640940

 -- Sandro Tosi <morph@debian.org>  Wed, 11 Apr 2012 00:42:00 +0200
