=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: python-numpy
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Sandro Tosi <morph@debian.org>
-Build-Depends: python-all-dev (>= 2.6.6-3~), python-all-dbg, gfortran (>= 4:4.2), libblas-dev [!arm !m68k], liblapack-dev [!arm !m68k], debhelper (>= 7.0.50~), patchutils, python-docutils, python-sphinx (>= 1.0.7+dfsg), python-nose, python3-all-dev, python3-all-dbg, python3-nose
+Build-Depends: python-all-dev, python-all-dbg, python-support (>= 1), gfortran (>= 4:4.2), libblas-dev [!arm !m68k], liblapack-dev [!arm !m68k], debhelper (>= 7.0.50~), patchutils, python-docutils, python-sphinx (>= 1.0.7+dfsg), python-nose, python3-all-dev, python3-all-dbg, python3-nose, python-matplotlib
 X-Python-Version: >= 2.4
 X-Python3-Version: >= 3.0
 Standards-Version: 3.9.3
@@ -15,8 +14,7 @@
 Package: python-numpy
 Architecture: any
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Recommends: gcc
-Suggests: python-numpy-doc, python-numpy-dbg, python-nose (>= 0.10.1), python-dev, gfortran
+Suggests: python-numpy-doc, python-numpy-dbg, python-nose (>= 0.10.1), python-dev, gfortran, gcc (>= 4:4.6.1-5)
 Provides: ${python:Provides}, ${numpy:Provides}, python-numpy-dev, python-f2py
 Description: Numerical Python adds a fast array facility to the Python language
  Numpy contains a powerful N-dimensional array object, sophisticated
@@ -33,7 +31,6 @@
 Section: debug
 Architecture: any
 Depends: python-numpy (= ${binary:Version}), python-dbg, ${shlibs:Depends}, ${misc:Depends}
-Replaces: python-numpy (<< 1:1.3.0-4)
 Description: Fast array facility to the Python language (debug extension)
  Numpy contains a powerful N-dimensional array object, sophisticated
  (broadcasting) functions, tools for integrating C/C++ and Fortran
@@ -49,8 +46,8 @@
 Package: python3-numpy
 Architecture: any
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Suggests: python-numpy-doc, python3-numpy-dbg, python3-nose (>= 0.10.1), python3-dev, gfortran
-Provides: ${python3:Provides}, ${numpy:Provides}, python3-numpy-dev, python3-f2py
+Suggests: python-numpy-doc, python3-numpy-dbg, python3-nose (>= 0.10.1), python3-dev, gfortran, gcc (>= 4:4.6.1-5)
+Provides: ${python3:Provides}, ${numpy3:Provides}, python3-numpy-dev, python3-f2py
 Description: Numerical Python adds a fast array facility to the Python language
  Numpy contains a powerful N-dimensional array object, sophisticated
  (broadcasting) functions, tools for integrating C/C++ and Fortran
