=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 export ATLAS=None
 
 %:
-	dh $@ --with sphinxdoc,python2,python3
+	dh $@ --with sphinxdoc,python3
 
 override_dh_auto_build:
 	dh_auto_build
@@ -24,6 +24,8 @@
 	dh_auto_clean
 	rm -rf `find -name build -type d`
 	rm -rf `find . -name "*.pyc" -type f`
+	rm -rf debian/tmp2
+	rm -rf doc/fontList.cache numpy/f2py/docs/usersguide/index.html
 
 override_dh_installman:
 	dh_installman numpy/f2py/f2py.1
@@ -51,6 +53,11 @@
 	cp -a debian/tmp/usr/bin/f2py$(PYDEF)-dbg debian/tmp/usr/bin/f2py-dbg
 	sed -i "1s,#!.*python[^ ]*\(.*\),#!/usr/bin/python-dbg," debian/tmp/usr/bin/f2py-dbg
 
+	# moving those scripts away until after pysupport has run, to not
+	# generate depends on pythonx.y
+	mkdir debian/tmp2
+	mv debian/tmp/usr/bin/* debian/tmp2
+
 	dh_install
 
 	# remove files installed from .install (that's due to the dir listed there)
@@ -60,23 +67,23 @@
 	for i in $(PY2VERS); do \
 	[ -d $(CURDIR)/debian/python-numpy/usr/include/python$$i ] || \
 		mkdir -p $(CURDIR)/debian/python-numpy/usr/include/python$$i; \
-		dh_link usr/lib/python$$i/dist-packages/numpy/core/include/numpy usr/include/python$$i/numpy; \
+		dh_link usr/lib/pymodules/python$$i/numpy/core/include/numpy usr/include/python$$i/numpy; \
 	done
 	for i in $(PY2VERS); do \
 	[ -d $(CURDIR)/debian/python-numpy/usr/include/python$${i}_d ] || \
 		mkdir -p $(CURDIR)/debian/python-numpy/usr/include/python$${i}_d; \
-		dh_link usr/lib/python$$i/dist-packages/numpy/core/include/numpy usr/include/python$${i}_d/numpy; \
+		dh_link usr/lib/pymodules/python$$i/numpy/core/include/numpy usr/include/python$${i}_d/numpy; \
 	done
 	# Python 3
 	for i in $(PY3VERS); do \
-	[ -d $(CURDIR)/debian/python3-numpy/usr/include/python$$i ] || \
-		mkdir -p $(CURDIR)/debian/python3-numpy/usr/include/python$$i; \
-		dh_link -ppython3-numpy usr/lib/python$$i/dist-packages/numpy/core/include/numpy usr/include/python$$i/numpy; \
+	[ -d $(CURDIR)/debian/python3-numpy/usr/include/python$${i}mu ] || \
+		mkdir -p $(CURDIR)/debian/python3-numpy/usr/include/python$${i}mu; \
+		dh_link -ppython3-numpy usr/lib/python3/dist-packages/numpy/core/include/numpy usr/include/python$${i}mu/numpy; \
 	done
 	for i in $(PY3VERS); do \
-	[ -d $(CURDIR)/debian/python3-numpy/usr/include/python$${i}_d ] || \
-		mkdir -p $(CURDIR)/debian/python3-numpy/usr/include/python$${i}_d; \
-		dh_link -ppython3-numpy usr/lib/python$$i/dist-packages/numpy/core/include/numpy usr/include/python$${i}_d/numpy; \
+	[ -d $(CURDIR)/debian/python3-numpy/usr/include/python$${i}dmu ] || \
+		mkdir -p $(CURDIR)/debian/python3-numpy/usr/include/python$${i}dmu; \
+		dh_link -ppython3-numpy usr/lib/python3/dist-packages/numpy/core/include/numpy/ usr/include/python$${i}dmu/numpy; \
 	done
 
 	# share -dbg and normal package doc dirs
@@ -87,6 +94,7 @@
 
 override_dh_gencontrol:
 	python debian/versions.helper >> debian/python-numpy.substvars
+	python debian/versions3.helper >> debian/python3-numpy.substvars
 	dh_gencontrol
 
 override_dh_compress:
@@ -97,22 +105,37 @@
 	dh_strip -ppython-numpy --dbg-package=python-numpy-dbg
 	dh_strip -ppython3-numpy --dbg-package=python3-numpy-dbg
 	# dh_strip seemingly doesn't catch the PEP 3149-style debug names
-	-rm debian/python3-numpy/usr/lib/python3*/*-packages/*/*/*.cpython-*d*.so
+	rm debian/python3-numpy/usr/lib/python3*/*-packages/*/*/*.cpython-*d*.so
 	
 	# fix python-debug-in-wrong-location lintian warning
+	cd debian/python-numpy-dbg/usr/lib/debug/usr/lib && mv pyshared pymodules
 endif
 
 
-override_dh_python2:
-	-ls -l debian/python-numpy/usr/share/pyshared/numpy/core/lib/libnpymath.a
-	dh_python2 -v -X libnpymath.a
-	-ls -l debian/python-numpy/usr/share/pyshared/numpy/core/lib/libnpymath.a
-	-ls -l debian/python-numpy/usr/lib/python2.7/dist-packages/numpy/core/lib/libnpymath.a
-	if [ -h debian/python-numpy/usr/lib/python2.7/dist-packages/numpy/core/lib/libnpymath.a ]; then \
-	  rm -f debian/python-numpy/usr/lib/python2.7/dist-packages/numpy/core/lib/libnpymath.a; \
-	  mv debian/python-numpy/usr/share/pyshared/numpy/core/lib/libnpymath.a \
-	    debian/python-numpy/usr/lib/python2.7/dist-packages/numpy/core/lib/libnpymath.a; \
-	fi
+override_dh_pysupport:
+	dh_pysupport
+
+	# copy back f2py* bin, in their ultimate location
+	mv debian/tmp2/f2py2.? debian/tmp2/f2py debian/python-numpy/usr/bin/
+	mkdir -p debian/python-numpy-dbg/usr/bin/
+	mv debian/tmp2/f2py2.?-dbg debian/tmp2/f2py-dbg debian/python-numpy-dbg/usr/bin/
+	
+	mkdir -p debian/python3-numpy/usr/bin/
+	mv debian/tmp2/f2py3.? debian/python3-numpy/usr/bin/
+	mkdir -p debian/python3-numpy-dbg/usr/bin/
+	mv debian/tmp2/f2py3.?-dbg debian/python3-numpy-dbg/usr/bin/
+
+	# GIGANTIC HACK - add back libnpymath.a
+	# get the file names, generate the new location, create the dir if missing, copy
+	# the file and then add it to the public list
+	for file in ./debian/tmp/usr/lib/python2.*/*-packages/numpy/core/lib/libnpymath.a ; do \
+		newfile=$$(echo $$file | sed 's|tmp|python-numpy|' | sed "s|lib/python|lib/pyshared/python|" | sed 's|[^/]*-packages/||') ;\
+		mkdir -p $$(dirname $$newfile) ;\
+		cp -a $$file $$newfile ;\
+		installedfile=$$(echo $$newfile | sed 's|./debian/python-numpy||') ;\
+		# add to public modules list ;\
+		echo $$installedfile >> ./debian/python-numpy/usr/share/python-support/python-numpy.public ;\
+	done
 
 override_dh_sphinxdoc:
 	dh_sphinxdoc -i
@@ -120,7 +143,7 @@
 build: build-arch build-indep ;
 
 build-arch:
-	dh build --with=python2
+	dh build
 
 
 build-indep: 
@@ -146,12 +169,16 @@
 	# select the code in the installation path
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	-for v in $(PY2VERS) ; do \
+		echo "-- running tests for "$$v" plain --" ; \
 		python$$v -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python$$v/dist-packages/') ; import numpy; numpy.test()" ; \
+		echo "-- running tests for "$$v" debug --" ; \
 		python$$v-dbg -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python$$v/dist-packages/') ; import numpy; numpy.test()" ; \
 	done
 	# Python 3.2 maps to python3/ dir alone? bah
 	-for v in $(PY3VERS) ; do \
+		echo "-- running tests for "$$v" plain --" ; \
 		python$$v -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/') ; import numpy; numpy.test()" ; \
+		echo "-- running tests for "$$v" debug --" ; \
 		python$$v-dbg -c "import sys ; sys.path.insert(0, '$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/') ; import numpy; numpy.test()" ; \
 	done
 endif
