## python-numpy 1.7.0

=== debian/changelog ===
python-numpy (1:1.7.0-1ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2.
    - Add bin/f2py* to .install files.
    - Fix installation of the f2py3 binary.
    - Add autopkgtests.
    - Stop building for python 2.6 and python 3.2.
    - Fix numpy symlink in python3 debug include directories.
    - Move the debug numpy symlinks into the -dbg packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Feb 2013 00:12:37 +0100

python-numpy (1:1.7.0-1) experimental; urgency=low

  * New upstream release
  * debian/copyright
    - added packaging copyright for my contributions
  * Acknowledge NMU as of 1.6.2-1.1 ; Closes: #685812

 -- Sandro Tosi <morph@debian.org>  Wed, 13 Feb 2013 21:24:57 +0100

python-numpy (1:1.7.0~rc2-1) experimental; urgency=low

  [ Sandro Tosi ]
  * New upstream release candidate
  * debian/patches/40_m68k_long_double_format.diff
    - updated to new upstream code

  [ Yaroslav Halchenko ]
  * debian/rules
    - safe-guard all for loops with 'set -e; ' to prevent uncaught failures;
      Closes: #695955

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Feb 2013 21:48:46 +0100

python-numpy (1:1.7.0~rc1-1ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2.
    - Add bin/f2py* to .install files.
    - Fix installation of the f2py3 binary.
    - Add autopkgtests.
    - Stop building for python 2.6 and python 3.2.
    - Fix numpy symlink in python3 debug include directories.
    - Move the debug numpy symlinks into the -dbg packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 28 Jan 2013 19:03:02 +0100

python-numpy (1:1.7.0~rc1-1) experimental; urgency=low

  * New upstream release candidate
  * debian/control
    - updated Homepage field
    - adjusted supported Python3 versions (>= 3.1)

 -- Sandro Tosi <morph@debian.org>  Sun, 30 Dec 2012 12:23:06 +0100

python-numpy (1:1.7.0~b2-1ubuntu6) raring; urgency=low

  * fix installation f2py3
  * add autopkgtests

 -- Julian Taylor <jtaylor@ubuntu.com>  Fri, 14 Dec 2012 12:46:11 +0100

python-numpy (1:1.7.0~b2-1ubuntu5) raring; urgency=low

  * Drop python3.2.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Tue, 06 Nov 2012 22:47:07 +0000

python-numpy (1:1.7.0~b2-1ubuntu4) raring; urgency=low

  * Fix numpy symlink in python3 debug include directories.
  * Move the debug numpy symlinks into the -dbg packages.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 26 Oct 2012 12:33:51 +0200

python-numpy (1:1.7.0~b2-1ubuntu3) raring; urgency=low

  * debian/rules: Fix syntax error.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Oct 2012 15:40:27 +0200

python-numpy (1:1.7.0~b2-1ubuntu2) raring; urgency=low

  * Fix numpy symlink in python3 include directories.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Oct 2012 15:09:48 +0200

python-numpy (1:1.7.0~b2-1ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2
    - add bin/f2py* to .install files

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Oct 2012 15:26:41 +0200

python-numpy (1:1.7.0~b2-1) experimental; urgency=low

  * New upstream beta release

 -- Sandro Tosi <morph@debian.org>  Sat, 29 Sep 2012 10:46:38 +0200

python-numpy (1:1.7.0~b1-1) experimental; urgency=low

  * New upstream beta release
  * debian/rules
    - install f2py3 command and relative manpages; thanks to Julian Taylor for
      the report and patch; Closes: #675694
  * debian/watch
    - updated to identify beta releases
  * debian/copyright
    - extend upstream copyright years
    - updated to new upstream code
  * debian/versions
    - bump C_API_VERSION to 7
  * debian/control
    - added python{,3}-tz to b-d, needed to run tests
  * debian/patches/*
    - updated to new upstream code

 -- Sandro Tosi <morph@debian.org>  Fri, 31 Aug 2012 13:37:44 +0200

python-numpy (1:1.6.2-1ubuntu1) quantal; urgency=low

  * remove unused patch debian-changes-1:1.5.1-2ubuntu2
  * Merge from Debian unstable. Remaining changes:
    - debian/patches/20_disable-plot-extension.patch
       Disable plot_directive extension, and catch ImportErrors when
       matplotlib cannot be imported, which allows us to remove
       python-matplotlib from dependencies.  This is required because
       python-numpy is in main, while python-matplotlib is in universe.
    - Build using dh_python2
      add bin/f2py* to .install files

 -- Julian Taylor <jtaylor@ubuntu.com>  Sat, 02 Jun 2012 18:44:16 +0200
